class CommentsController < ApplicationController
  before_filter :grab_article_from_article_id

  # GET /comments/new
  # GET /comments/new.json
  def new
    @comment = comments.new

    respond_to do |format|
      format.html # new.html.erb
      format.json { render json: @comment }
    end
  end


  # POST /comments
  # POST /comments.json
  def create
    @comment = comments.new(params[:comment])

    respond_to do |format|
      if @comment.save
        format.html { redirect_to @article, notice: 'Comment was successfully created.' }
        format.json { render json: @comment, status: :created, location: @comment }
      else
        format.html { render action: "new" }
        format.json { render json: @comment.errors, status: :unprocessable_entity }
      end
    end
  end

  protected
  def grab_article_from_article_id
    @article = Article.find(params[:article_id])
  end

  def comments
    @article.comments
  end
end
