class ArticlePresenter < BasePresenter
  presents :article

  def linked_title
    link_to article.title, article
  end


  def author_link
    present(article.user).linked_full_name
  end

  def comment_link(mini=false)
    link_to "Add Comment", new_article_comment_path(article), class: btn_class(mini)
  end

  def comments
    unless article.comments.empty?
      content_tag :div do
        content = content_tag :h2, "Comments"
        content << render( partial: "shared/comment", collection: article.comments )
      end
    end
  end

  def tag_list
    unless article.tags.empty?
      content_tag :p do
        "Tags: #{article.tags.map { |t| link_to t.name, t }.join(", ")}".html_safe
      end
    end
  end
end
